tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Adam Hardy <ahardy.str...@cyberspaceroad.com>
Subject Re: Is struts.jar mandatory for tomcat 4.1.24 ?
Date Tue, 23 Sep 2003 09:56:10 GMT
Hi Sarika,

I think the easiest solution is to move the admin.xml file out of your 
tomcat/webapps directory. Then the admin app will not be started with 
tomcat.

HTH
Adam

On 09/23/2003 10:36 AM Sarika N Inamdar wrote:
> Hi,
> 
> Thanks for the inputs. We do not use any admin applications. We have
> web.xml in ROOT/WEB-INF/ directory. It has the following entry :
> 
> <servlet>
>     <servlet-name>action</servlet-name>
>  
> <servlet-class>org.apache.struts.action.ActionServlet</servlet-class>
>     <init-param>
>       <param-name>application</param-name>
>       <param-value>ApplicationResources</param-value>
>     </init-param>
> 
> Is there a way that we can tell tomcat not to use struts.jar ? Do we
> need to make any changes in the web.xml ?
> 
> Please let us know on this.
> 
> Thanks Much,
> Sarika
> 
> 
> 
> 
>>-----Original Message-----
>>From: Adam Hardy [mailto:ahardy.struts@cyberspaceroad.com] 
>>Sent: Tuesday, September 23, 2003 1:49 PM
>>To: Tomcat Users List
>>Subject: Re: Is struts.jar mandatory for tomcat 4.1.24 ?
>>
>>
>>No it's not mandatory. But tomcat's admin app uses struts. This is 
>>controlled by an .xml file in your webapps directory, and it 
>>points to 
>>the deployment in tomcat/server/webapps/admin.
>>
>>Adam
>>
>>On 09/23/2003 06:07 AM Sarika N Inamdar wrote:
>>
>>>Hi All,
>>>
>>>Please let me know if struts.jar should be present under 
>>
>>/WEB-INF/lib 
>>
>>>with tomcat 4.1.24 ?
>>>
>>>We have jps's which do not struts. But when I start 
>>
>>tomcat,encounter 
>>
>>>the following exception in /logs/localhost_log file . This 
>>
>>execption 
>>
>>>does not hamper the functionality though !!!
>>>
>>>
>>>2003-09-22 20:33:01 StandardContext[]: Servlet  threw 
>>
>>load() exception
>>
>>>javax.servlet.ServletException: Wrapper cannot find servlet class 
>>>org.apache.str uts.action.ActionServlet or a class it depends on
>>>        at
>>>
>>
>>org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.
>>
>>>java:891)
>>>        at
>>>
>>
>>org.apache.catalina.core.StandardWrapper.load(StandardWrapper.java:82
>>
>>>3)
>>>        at
>>>
>>
>>org.apache.catalina.core.StandardContext.loadOnStartup(StandardContex
>>
>>>t.java:3420)
>>>        at
>>>
>>
>>org.apache.catalina.core.StandardContext.start(StandardContext.java:3
>>
>>>608)
>>>        at
>>>
>>
>>org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1188)
>>
>>>        at
>>>org.apache.catalina.core.StandardHost.start(StandardHost.java:738)
>>>        at
>>>
>>
>>org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1188)
>>
>>>        at
>>>
>>
>>org.apache.catalina.core.StandardEngine.start(StandardEngine.java:347
>>
>>>
>>>Thanks in Advance,
>>>Sarika
>>>
>>>
>>>
>>
>>---------------------------------------------------------------------
>>
>>>To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
>>>For additional commands, e-mail: tomcat-user-help@jakarta.apache.org
>>>
>>>
>>
>>-- 
>>struts 1.1 + tomcat 4.1.27 + java 1.4.2
>>Linux 2.4.20 RH9
>>
>>
>>---------------------------------------------------------------------
>>To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
>>For additional commands, e-mail: tomcat-user-help@jakarta.apache.org
>>
>>
> 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: tomcat-user-help@jakarta.apache.org
> 
> 

-- 
struts 1.1 + tomcat 4.1.27 + java 1.4.2
Linux 2.4.20 RH9


Mime
View raw message